<template>
    <div>
        <div class="form-group">
            <div class="schedule-row">
                <div class="label-text">
                    Schedule Campaign
                </div>
                <div class="my-radio">
                    <b-form-group>
                        <b-form-radio-group
                            v-model="selected"
                            name="radios-stacked"
                            plain
                            stacked
                            button-variant="outline-secondary"
                            size="lg"
                            :options="radioOptions"
                            @change="changeScheduleType"
                        />
                    </b-form-group>
                    <div
                        v-show="selected === 1"
                        class="form-group"
                    >
                        <date-picker
                            v-model="textEditor.schedule_datetime"
                            :config="options"
                            name="schedule_datetime"
                            class="form-control date-group"
                        />
                        <b-form-group>
                            <b-form-radio-group
                                v-model="textEditor.use_subscriber_timezone"
                                name="radios-stacked2"
                                plain
                                stacked
                                button-variant="outline-secondary"
                                size="lg"
                                :options="radioOptions2"
                            />
                        </b-form-group>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import datePicker from "vue-bootstrap-datetimepicker";
import 'pc-bootstrap4-datetimepicker/build/css/bootstrap-datetimepicker.css';
import 'bootstrap/dist/css/bootstrap.css';

export default {
    name: "PushScheduledStepCampaign",
    components: {
        datePicker
    },
    props: ['textEditor'],
    data() {
        return {
            selected: 0,
            selected2: 0,
            radioOptions: [
                {text: 'Schedule now', value: 0},
                {text: 'Schedule later', value: 1},
            ],
            radioOptions2: [
                {text: 'Send all at the same time', value: false},
                {text: 'Delivered at the user`s timezone', value: true},
            ],
            schedule_datetime: this.$moment().format('YYYY-MM-DD HH:mm'),
            options: {
                format: 'YYYY-MM-DD HH:mm',
                useCurrent: false,
            },
        }
    },
    created() {
        if(this.textEditor.schedule_datetime) this.selected = 1            
    },
    methods: {
        changeScheduleType() {
            if(!this.selected) {
                this.textEditor.schedule_datetime = this.$moment().format('YYYY-MM-DD HH:mm')
                this.$emit('checkChanged', 'schedule_datetime')
            }
        },
    }
}
</script>

<style scoped lang="scss">

.schedule-row {
    display: flex;
}

.date-group {
    position: relative;
    max-width: 155px;
    margin-bottom: 25px;

    &:before {
        position: absolute;
        right: 12px;
        top: 9px;
        font-family: 'Font Awesome 5 Free';
        content: "\F107";
        color: #165CCF;
        font-weight: 900;
    }
}

.label-text {
    margin-right: 40px;
}

</style>
